<?php

namespace App\Repository;

use App\Entity\Restaurants;
use Ramsey\Collection\Collection;

interface RestaurantsRepositoryInterface
{
    public function getCountWithFilters(?string $kitchenId, string $typeId): int;

    /** @return Collection<Restaurants> */
    public function findByFilters(?string $kitchenId, ?string $typeId, int $limit, int $offset): Collection;
}
