<?php

namespace App\Controller;

use App\Dto\ErrorDto;
use App\Request\AbstractRequest;
use App\Service\ServiceInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Throwable;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController as BundleController;

class AbstractController extends BundleController
{
    public function __construct(
        private readonly ServiceInterface $service
    ) {}

    protected function build(AbstractRequest $request): JsonResponse
    {
//        try {
            return new JsonResponse($this->service->serve($request));
//        } catch (Throwable $exception) {
//            $error = new ErrorDto();
//            return new JsonResponse($error, $error->status);
//        }
    }
}
